label wallsID = mesh.boundaryMesh().findPatchID("walls");
label inletID = mesh.boundaryMesh().findPatchID("inlet");

dimensionedScalar num
(
    "num",
    dimensionSet(0, 2, -1, 1, 0, 0, 0),
    gSum(T.boundaryField()[inletID]*U.boundaryField()[inletID].component(0)*mesh.magSf().boundaryField()[inletID])
);

dimensionedScalar den
(
    "den",
    dimensionSet(0, 2, -1, 0, 0, 0, 0),
    gSum(U.boundaryField()[inletID].component(0)*mesh.magSf().boundaryField()[inletID])
);

dimensionedScalar Tbulk
(
    num/den
);

dimensionedScalar dTdn
(
    "dTdn",
    dimensionSet(0, -1, 0, 1, 0, 0, 0),
    gSum(T.boundaryField()[wallsID].snGrad()*mesh.magSf().boundaryField()[wallsID])/gSum(mesh.magSf().boundaryField()[wallsID])
);

Nu = dTdn*Lc/(Twall-Tbulk);


Info << "Cyclic temperature field solved with:" << endl;
Info << "Nusselt number, Nu = " << Nu.value() << endl;
Info << "Surface average temperature gradient, dT/dn = " << dTdn.value() << endl;
Info << "Characteristic length, Lc = " << Lc.value() << endl;
Info << "Surfave-averaged wall temperature, Twall = " << Twall.value() << endl;
Info << "Bulk temperature, Tbulk = " << Tbulk.value() << endl;
