Info<< "Reading field p\n" << endl;
volScalarField p
(
    IOobject
    (
        "p",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Reading field U\n" << endl;
volVectorField U
(
    IOobject
    (
        "U",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Reading field T\n" << endl;
volScalarField T
(
    IOobject
    (
        "T",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Reading transportProperties\n" << endl;
IOdictionary transportProperties
(
    IOobject
    (
        "transportProperties",
        runTime.constant(),
        mesh,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

#include "createPhi.H"

dimensionedScalar Pr (transportProperties.lookup("Pr"));
dimensionedScalar Prt (transportProperties.lookup("Prt"));
dimensionedScalar gamma (transportProperties.lookup("gamma"));
dimensionedScalar Twall (transportProperties.lookup("Twall"));
dimensionedScalar Lc (transportProperties.lookup("Lc"));

dimensionedScalar Tbulk
(
    "Tbulk",
    dimensionSet(0, 0, 0, 1, 0, 0, 0),
    0.0
);

dimensionedScalar Nu
(
    "Nu",
    dimensionSet(0, 0, 0, 0, 0, 0, 0),
    0.0
);

label pRefCell = 0;
scalar pRefValue = 0.0;
setRefCell(p, pimple.dict(), pRefCell, pRefValue);
mesh.setFluxRequired(p.name());


singlePhaseTransportModel laminarTransport(U, phi);

autoPtr<incompressible::turbulenceModel> turbulence
(
    incompressible::turbulenceModel::New(U, phi, laminarTransport)
);

#include "createMRF.H"
